> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update salary type

> Updates an existing salary type on the organization's payroll routing list.



## OpenAPI

````yaml openapi/findity-admin-api.json PUT /organizations/{id}/salarytypes/{salaryTypeId}
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{id}/salarytypes/{salaryTypeId}:
    put:
      tags:
        - Organization
      summary: Update salary type
      description: >-
        Updates an existing salary type on the organization's payroll routing
        list.
      operationId: adminUpdateSalaryType
      parameters:
        - $ref: '#/components/parameters/organizationIdPath'
        - in: path
          name: salaryTypeId
          required: true
          description: The salary type id
          schema:
            $ref: '#/components/schemas/Uuid'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalaryType'
            example:
              name: The salary type name.
              number: Salary type number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SalaryType'
              example:
                name: The salary type name.
                number: Salary type number
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                invalid json body:
                  value:
                    result: error
                    code: INVALID_JSON_BODY
                    description: Failed to parse json body
                unknown properties:
                  value:
                    result: error
                    code: NO_KNOWN_JSON_PROPERTIES
                    description: No known, or only read-only properties received
                invalid salary type id:
                  value:
                    result: error
                    code: INVALID_ID
                    description: Account id in json was different from the id passed in url
                salary type already exists:
                  value:
                    result: error
                    code: SALARY_TYPE_ALREADY_EXISTS
                    description: >-
                      Salary type with id 0f7a69f10be8480587546efcbae3c790
                      already exists with number 4678923
        '404':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              example:
                result: error
                code: ORGANIZATION_NOT_FOUND
                description: Organization not found
components:
  parameters:
    organizationIdPath:
      in: path
      name: id
      required: true
      description: The unique identifier of the organization
      schema:
        $ref: '#/components/schemas/Uuid'
        example: 05b8daba9ba14a49846fe77883248cf0
  schemas:
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    SalaryType:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Uuid'
          readOnly: true
        name:
          type: string
          description: Name of the salary type
        number:
          type: string
          description: Salary type number
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````